Header Leaderboard Ad

Collapse

Newbler 2.7 in Ubuntu 11.10 64-bit: 'Installing gsSeqTools (2/6)... Failed'

Collapse

Announcement

Collapse
No announcement yet.
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Newbler 2.7 in Ubuntu 11.10 64-bit: 'Installing gsSeqTools (2/6)... Failed'

    Hi,

    I'm trying to install the Newbler 2.7 from 'DataAnalysis_2.7' package obtained directly from Roche website. I have a Linux Ubuntu 11.10 running in AMD 64-bit...

    During the instalation of the software (using the Nixstaller), the installer blocks the process at the 2nd step ('Installing gsSeqTools (2/6)... Failed') and I'm having the following error:

    Code:
    Verifying archive integrity... All good.
    Uncompressing Installer for GS Data Analysis applications.............
    Uncompressing sub archive................................................................................................................................................................................................
    Collecting info for this system...
    Operating system: linux
    CPU Arch: x86_64
    Nixstaller version 0.5.1, Copyright (C) 2006 - 2009 of Rick Helmus
    Nixstaller comes with ABSOLUTELY NO WARRANTY.
    Nixstaller is free software, and you are welcome to redistribute it
    under certain conditions; see the about section for details.
    Warning: unknown mime-type for "/tmp/Install_DataAnalysis_2.7_05_Jun_2012_1505.log" -- using "application/octet-stream"
    [B]Error: no "view" mailcap rules found for type "application/octet-stream"[/B]
    Opening "/tmp/Install_DataAnalysis_2.7_05_Jun_2012_1505.log" with jEdit  (text/x-log)
    The .log file reports the following error:

    Code:
    =============================
    [03:05:31 PM] cd /home/admin/Desktop/DataAnalysis_2; md5sum -c checksum_inst
    
    ./setup.sh: OK
    ./README: OK
    ./packages/jre-linux-i586-oracle-2.7-1.noarch.rpm: OK
    ./packages/gsMapper-2.7-1.noarch.rpm: OK
    ./packages/gsNewbler-2.7-1.i686.rpm: OK
    ./packages/gsSeqTools-2.7-1.x86_64.rpm: OK
    ./packages/gsAmplicons-2.7-1.noarch.rpm: OK
    ./packages/gsNewbler-2.7-1.x86_64.rpm: OK
    ./packages/amplicons_CLI_2.7.i686.tgz: OK
    ./packages/gsAssembler-2.7-1.noarch.rpm: OK
    ./packages/gsSeqTools-2.7-1.i686.rpm: OK
    =============================
    
    =============================
    [03:05:31 PM] rpm -U   --force  /home/admin/Desktop/DataAnalysis_2/packages/jre-linux-i586-oracle-2.7-1.noarch.rpm
    
    [B]rpm: RPM should not be used directly install RPM packages, use Alien instead![/B]
    rpm: However assuming you know what you are doing...
    warning: /home/admin/Desktop/DataAnalysis_2/packages/jre-linux-i586-oracle-2.7-1.noarch.rpm: Header V3 DSA/SHA1 Signature, key ID e50b562c: NOKEY
    =============================
    
    =============================
    [03:05:33 PM] rpm -U   --force  /home/admin/Desktop/DataAnalysis_2/packages/gsSeqTools-2.7-1.x86_64.rpm
    
    [B]rpm: RPM should not be used directly install RPM packages, use Alien instead![/B]
    rpm: However assuming you know what you are doing...
    warning: /home/admin/Desktop/DataAnalysis_2/packages/gsSeqTools-2.7-1.x86_64.rpm: Header V3 DSA/SHA1 Signature, key ID e50b562c: NOKEY
    [B]error: Failed dependencies:
    	/bin/sh is needed by gsSeqTools-1:2.7-1.x86_64[/B]
    =============================
    I already tryed to follow these suggestions, but it still fails:

    http://seqanswers.com/forums/showthread.php?t=12861
    http://seqanswers.com/forums/showthread.php?t=8944

    I solved the problem concerning the errors 'Error: Could not execute command: type rocks 2>&1' and 'sh: /sbin/lspci: not found'

    I also converted RPM files to DEB files, but the problem persists...

    Does anyone have any other suggestions?!

  • #2
    Ubuntu uses 'dash' as the default shell; 'sh' is just a link to 'dash'. 'dash' is very fast but lacks some functionality of bash. Roche on the other hand wants to use 'bash' but uses 'sh' (which on other distributions is a link to 'bash'). So as a quick workaround:

    Make ''sh' point to 'bash'', install the roch suite, finally make 'sh' point to 'dash' again.

    my 2p,
    Sven

    Comment


    • #3
      Hi Sven,
      Does that really work? I was under the impression that the /bin/sh dependency is failing because there is no entry for it in the (perhaps non-existent on Ubuntu) rpm database, not because a /bin/sh file is actually missing.
      Thanks,
      Mave

      Comment


      • #4
        Originally posted by maven View Post
        Hi Sven,
        Does that really work? I was under the impression that the /bin/sh dependency is failing because there is no entry for it in the (perhaps non-existent on Ubuntu) rpm database, not because a /bin/sh file is actually missing.
        Thanks,
        Mave
        I just installed 2.7 with success,


        Code:
        ls -l /bin/sh
        lrwxrwxrwx 1 root root 4 Jul  3 20:13 /bin/sh -> dash
        Ubuntu 12.04, 64bit

        Let us know if it worked ..

        Sven
        Last edited by sklages; 07-03-2012, 02:15 PM. Reason: added system info

        Comment


        • #5
          Hi Sven,

          could you please post the code to tell ubuntu to use bash instead of dash? I have the same problem, but worked out to install .deb packages translated with alien and then execute the .jar files in the /opt/454 folder by hand, which also starts the programs but this is a really rough workaround.

          EDIT:
          I played a little on the installation routine and get a workaround which solved my problems on a Ubuntu 12.04 64 bit machine with an existing 2.6 Version of the Roche software.

          The change of dash to bash Sven mentioned ca be done by typing:
          Code:
          sudo rm /bin/sh
          sudo ln -s bash /bin/sh
          Now it is possible to start setup.sh in any filemanager and install the software locally in your home directory. No symbolic links were installed in /usr/share/applications so the software was not accessible through the dash and also not in the terminal. I replaced the old 454 directory in /opt with the newly created one in my home directory and everything worked for the 2.7 version.

          Change bash to dash again:

          Code:
          sudo rm /bin/sh
          sudo ln -s dash /bin/sh
          I am not sure why it is not possible to install the software systemwide. Maybe the dash to bash changing has to be done differently for root, as I tried to start the setup.sh with root privileges, without any success.

          I hope this can help some of you.

          eike (with my first contribution inhere)
          Last edited by emq; 07-04-2012, 01:27 AM.

          Comment


          • #6
            Hi everyone!

            Thanks for the answers! Last month I did the Newbler 2.7 installation in a CentOS 6.2 running in a virtual machine (VirtualBox). Fortunately, the assembler is executing well the work in this way (I just have viral genomes to assemble).

            Anyway, I think that the easy solution here presented will help people later!

            Best regards!
            Brito

            Comment


            • #7
              /bin/sh problem still there!

              Hello, I am aware this thread is old, but I could not see any new workaround on this problem.
              I am trying to install newbler 2.9.3 on Ubuntu 14.10 LTS. I did everything as emq tried according to what Sven suggested, but the problem seems the same:
              Code:
              error: Failed dependencies: 
                 /bin/sh is needed by gsSeqTools-1:2.9-1.x86_64
              Any help is greatly appreciated!

              Comment


              • #8
                What is /bin/sh pointing to? What do you get when you type:
                ls -l /bin/sh
                On my current Ubuntu systems I replace the 'dash' with 'bash' as a system shell using "sudo dpkg-reconfigure dash". I don't see any (speed or other) issues.

                Comment


                • #9
                  Thanks skalges! Here it is:
                  Code:
                  [email protected]:~$ ls -l /bin/sh
                  lrwxrwxrwx 1 root root 4 Oct 11 00:03 /bin/sh -> bash
                  Did I miss anything?

                  Comment


                  • #10
                    well, .. just grabbed a current DataProcessing_3.0.tgz and installed it on my Ubuntu 14.04.1 LTS without any issues (apart from the "usual" X libs missing during install).
                    My sh is also pointing to bash, /bin/sh -> bash.

                    So we need to dig deeper :-)

                    How did you start the setup? command.
                    Did you try a newer version? 3.0 is out for quite some time now.
                    Did you get more output than just this "missing dependencies" message?

                    Comment


                    • #11
                      Thanks!
                      Yes, I tried to setup thru command line. And the only error message is the failed dependencies, no other output.
                      Where did you get the package DataProcessing_3.0.tgz? I went to Roche website, but the download link is still 2.9.3.
                      Thanks again!

                      Comment


                      • #12
                        Strange. Try to replace system shell dash with bash, though this will probably not solve the specific RPM problem.

                        Concerning 3.0 version, it is out for quite some time now, latest version I find on their servers is 3.0 uploaded in May 2014.

                        I have not yet installed 14.10; so I am currently not able to reproduce the problem on the same system.

                        cheers,
                        Sven

                        Comment


                        • #13
                          Newbler installation v3.0

                          Thanks Sven!
                          1) I finally get it installed locally. I did not try that option before and today I gave it a try and it worked! I have the root permission for my box, but I do not understand why it can't be installed for whole system.
                          2) About the version 3.0, the links is not updated yet. I was told it is only available in USA after contacting the sales agent.

                          Anyway, it is working now. Thank you so much for all your help!
                          Last edited by yifangt; 10-20-2014, 09:41 PM.

                          Comment


                          • #14
                            Interesting. I never installed the software in the system, always locally. (I do have root permissions as well, but locally lets me decide where to install the software, e.g. /opt or the system's /usr/local).
                            And 3.0 .. here in Germany it is officially distributed ..

                            Glad that you successfully installed the software.

                            Comment

                            Latest Articles

                            Collapse

                            • seqadmin
                              A Brief Overview and Common Challenges in Single-cell Sequencing Analysis
                              by seqadmin


                              ​​​​​​The introduction of single-cell sequencing has advanced the ability to study cell-to-cell heterogeneity. Its use has improved our understanding of somatic mutations1, cell lineages2, cellular diversity and regulation3, and development in multicellular organisms4. Single-cell sequencing encompasses hundreds of techniques with different approaches to studying the genomes, transcriptomes, epigenomes, and other omics of individual cells. The analysis of single-cell sequencing data i...

                              01-24-2023, 01:19 PM
                            • seqadmin
                              Introduction to Single-Cell Sequencing
                              by seqadmin
                              Single-cell sequencing is a technique used to investigate the genome, transcriptome, epigenome, and other omics of individual cells using high-throughput sequencing. This technology has provided many scientific breakthroughs and continues to be applied across many fields, including microbiology, oncology, immunology, neurobiology, precision medicine, and stem cell research.

                              The advancement of single-cell sequencing began in 2009 when Tang et al. investigated the single-cell transcriptomes
                              ...
                              01-09-2023, 03:10 PM

                            ad_right_rmr

                            Collapse
                            Working...
                            X